Bug 227796 - www/foswiki: update 2.1.3_1 -> 2.1.6
Summary: www/foswiki: update 2.1.3_1 -> 2.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-26 19:06 UTC by dougs@dawnsign.com
Modified: 2018-05-31 14:49 UTC (History)
2 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
patch-to-2.1.6 (5.35 KB, patch)
2018-04-26 20:05 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dougs@dawnsign.com 2018-04-26 19:06:48 UTC
Please consider this a request to update www/foswiki to 2.1.6. I am getting minor Perl errors when running tools/mailnotify daily. This started after updating perl5-5.24 to perl5-5.26. The foswiki devs have assured me these were fixed in version 2.1.6.

~Doug
Comment 1 Kurt Jaeger freebsd_committer 2018-04-26 20:05:58 UTC
Created attachment 192831 [details]
patch-to-2.1.6

Please check attached patch if it works for you
Comment 2 Chris Hutchinson 2018-04-26 20:20:51 UTC
Gah! Sorry for the delay. I'm a bit behind because
$WORK$ is busting my hump. :(

Anyway. Thanks for stepping up, Kurt!
Your svn diff looks good. Unless anyone says otherwise,
please commit.

Thanks again!

--Chris
Comment 3 commit-hook freebsd_committer 2018-04-26 20:30:03 UTC
A commit references this bug:

Author: pi
Date: Thu Apr 26 20:29:06 UTC 2018
New revision: 468382
URL: https://svnweb.freebsd.org/changeset/ports/468382

Log:
  www/foswiki: update 2.1.3 -> 2.1.6

  PR:		227796
  Requested by:	Doug Sampson <dougs@dawnsign.com>
  Submitted by:	pi
  Approved by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)
  Relnotes:	http://foswiki.org/System/ReleaseNotes02x01
  Security:	CVE-2018-7446

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/distinfo
  head/www/foswiki/pkg-plist
Comment 4 dougs@dawnsign.com 2018-04-26 21:41:21 UTC
(In reply to Kurt Jaeger from comment #1)
I applied the patch and used portmaster to rebuild the foswiki port. But I'm still getting the same error message when running tools/mailnotify as follows:

root@aries:/usr/local/www/foswiki # /usr/local/bin/perl -I /usr/local/www/foswiki/bin /usr/local/www/foswiki/tools/mailnotify
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/(\%)(SEARCH){ <-- HERE / at /usr/local/www/foswiki/lib/Foswiki/Render.pm line 673.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/^(%META:(TOPICINFO){ <-- HERE (.*)}%\n)/ at /usr/local/www/foswiki/lib/Foswiki/Serialise/Embedded.pm line 70.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/^%META:([^{]+){ <-- HERE (.*)}%\n/ at /usr/local/www/foswiki/lib/Foswiki/Serialise/Embedded.pm line 104.
Unescaped left brace in regex is deprecated here (and will be fatal in Perl 5.30), passed through in regex; marked by <-- HERE in m/^(%META:([^{]+){ <-- HERE (.*)}%\n)/ at /usr/local/www/foswiki/lib/Foswiki/Serialise/Embedded.pm line 112.
Processing Accounting
        Accounting has no subscribers
Processing BldgMaintenance
        BldgMaintenance has no subscribers
...
...

I'm not sure where to go from here. This is my first post to bugzilla!

~Doug
Comment 5 dougs@dawnsign.com 2018-04-26 21:54:19 UTC
Never mind, the patch worked. I didn't verify that the patch was correctly applied in the first place.

Thank you!

~Doug
Comment 6 commit-hook freebsd_committer 2018-05-05 21:05:20 UTC
A commit references this bug:

Author: pi
Date: Sat May  5 21:04:32 UTC 2018
New revision: 469167
URL: https://svnweb.freebsd.org/changeset/ports/469167

Log:
  www/foswiki: fix build with APACHE=off

  PR:		227796
  Pointy hat:	pi
  Reported by:	antoine

Changes:
  head/www/foswiki/Makefile
  head/www/foswiki/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2018-05-31 14:49:57 UTC
New quarterly comes in a month, good enough...